using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ChooseSiteMap : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      if (!IsPostBack)
      {
         bulVert.Visible = false;
         foreach (SiteMapProvider provider in SiteMap.Providers)
         {
            drpProviders.Items.Add(new ListItem(provider.Name));
         }
      }
   }
   protected void drpProviders_SelectedIndexChanged(object sender, EventArgs e)
   {
      siteSource.SiteMapProvider = drpProviders.SelectedItem.Text;
      bulVert.Visible = true;
   }
}
